package me.jj97181818.ch05_foodmenueventhw;

import android.graphics.Color;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.TextView;

import org.w3c.dom.Text;

import java.util.ArrayList;

public class MainActivity extends AppCompatActivity implements CompoundButton.OnCheckedChangeListener {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        int [] chk_id = {R.id.chk1, R.id.chk2,  R.id.chk3, R.id.chk4};

        //註冊每個方塊的監聽事件
        for (int id : chk_id) {
            CheckBox chk = (CheckBox) findViewById(id);
            chk.setOnCheckedChangeListener(this);
        }
    }

    ArrayList<CompoundButton> selected = new ArrayList<>();

    @Override
    public void onCheckedChanged(CompoundButton buttonView, boolean isChecked) {
        if (isChecked)
            selected.add(buttonView);
        else
            selected.remove(buttonView);

//        if (buttonView.getId() == R.id.bgGreen) {
//            View bg = findViewById(R.id.bg);
//            if (isChecked)
//                bg.setBackgroundColor(Color.rgb(255,0, 0));
//            else
//                bg.setBackgroundColor(Color.rgb(255, 255, 255));
//            return;
//        }
    }

    public void  takeOrder(View v) {
        String msg = "";

        for (CompoundButton chk:selected)
            msg += "\n" + chk.getText();

        if(msg.length() > 0)
            msg = "你點購的餐點是：" + msg;
        else
            msg = "請點餐！";

        ((TextView) findViewById(R.id.showOrder)).setText(msg);
    }
}
